2016年4月6日水曜日

PHP7でSymfony2.5系のプロジェクトをcomposer installしようとしてエラー

> Sensio\Bundle\DistributionBundle\Composer\ScriptHandler::clearCache


                                                                                     
  [Doctrine\Common\Annotations\AnnotationException]                                  
  You have to enable opcache.load_comments=1 or zend_optimizerplus.load_comments=1.  
                                                                                     


Script Sensio\Bundle\DistributionBundle\Composer\ScriptHandler::clearCache handling the post-install-cmd event terminated with an exception


                                                                            

こんなのが出て止まっちゃう。


https://github.com/symfony/symfony/issues/15576
http://stackoverflow.com/questions/34958319/phpdocumentor-2-and-php-7-with-opcache-issues-in-doctrine

 opcache.load_comments=1 or zend_optimizerplus.load_comments=1
このへんの設定がPHP7にはもう無いらしい。

ちょっと古いものを使って復習しようとすると
こういうところで引っかかるのですよね・・・。


- by Mizuk

0 コメント:

コメントを投稿